Subject: Re: Verbose as default for commit (optional)

From: Eloy Espinaco <[email-masked]>
Date: Fri, 24 Apr 2015 20:51:03 -0300

Ok, now I found [this
thread](http://thread.gmane.org/gmane.comp.version-control.git/251376)
that seems abandoned, but implements this config, a --no-verbose that
disable it for one-time and the tests, but was not merged (don't know
why)

This was the patch I've intended to attach:
----------------->8--------------------

Subject: [PATCH] Add commit.verbose config to set default.

---
 builtin/commit.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/builtin/commit.c b/builtin/commit.c
index da79ac4..ad588ff 100644
--- a/builtin/commit.c
+++ b/builtin/commit.c
@@ -1506,6 +1506,10 @@ static int git_commit_config(const char *k, const char *v, void *cb)
 		sign_commit = git_config_bool(k, v) ? "" : NULL;
 		return 0;
 	}
+	if (!strcmp(k, "commit.verbose")) {
+		verbose = git_config_bool(k, v);
+		return 0;
+	}
 
 	status = git_gpg_config(k, v, NULL);
 	if (status)
-- 
2.1.4

En Fri, Apr 24, 2015 at 10:03:14PM +0200, Matthieu Moy escribió:
> Eloy Espinaco <[email-masked]> writes:
> 
> > Hi,
> >
> > It is my first mail to the list, so "hello world".
> 
> Hi, and welcome to the list.
> 
> > I wanted to make a feature-request about a config setting to make the
> > commit always verbose. I'm not the only one asking for that, there is an
> > old question in [Stack Overflow][1].
> 
> This seems a reasonable addition. In general, we commonly have config
> options for commonly used CLI options.
> 
> > So I was thinking if it was possible to make a pull request for that, so
> > I attach the patch. (I'm proud of it :) ).
> 
> Nice try, but the attached file is empty ;-). Actually, as much as
> possible, avoid sending attachments but prefer inline patches.
> 
> You'll need a bit of reading to send a proper patch:
> 
> https://github.com/git/git/blob/master/Documentation/SubmittingPatches
> 
> -- 
> Matthieu Moy
> http://www-verimag.imag.fr/~moy/
--- Eloy Espinaco